import type { NobjcObject } from "objc-js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MDLMeshBufferMap } from "./MDLMeshBufferMap.js";
import type { MDLVertexFormat } from "./MDLVertexFormat.js";
export declare class _MDLVertexAttributeData extends _NSObject {
    static alloc(): _MDLVertexAttributeData;
    static new(): _MDLVertexAttributeData;
    init(): _MDLVertexAttributeData;
    map(): _MDLMeshBufferMap;
    setMap$(value: _MDLMeshBufferMap): void;
    dataStart(): NobjcObject;
    setDataStart$(value: Uint8Array): void;
    stride(): number;
    setStride$(value: number): void;
    format(): MDLVertexFormat;
    setFormat$(value: MDLVertexFormat): void;
    bufferSize(): number;
    setBufferSize$(value: number): void;
}
